Subject: Re: [PWE3] Re: Bridge or

From: "Cheng-Yin Lee" <[email-masked]>
Date: 9 Dec 2002 23:21:53 -0500

Stewart, Muneyoshi,

Muneyoshi Suzuki wrote:
> 
> Stewart,
> 
> > > Needless to say, the IETF should not develop new LAN/Bridge protocol,
> > > but the IETF should refer the IEEE work if it is needed.
> > That is why we partitioned the system into a pseudo wire defined by PWE3
> > (which just transports things that it is given), and an NSP + Forwarder
> > which is defined by an expert in the media technolgy (in this case IEEE
> > + IETF PPVPN) and which performs more complex functions.
I think IEEE is the expert in the (Ethernet) media technology and PPVPN
would have more to do with Virtual Private LAN site discovery than media
technology.
 
> Agreed. It seems to me, "NSP function" described in draft-ietf-pwe3-
> ethernet-encap-01.txt consists of the following two functions (precisely,
> protocol entities in IEEE/ITU-T terminology)
> 
> (1)MAC function (entity) that terminates Ethernet LAN between CE and PE,
> and is defined in IEEE 802.3-2002.
> 
> (2)MAC Relay function (entity) that forwards Ethernet MAC flames,
> and is defined in IEEE 802.1D-1998, .1t-2001, and .1w-2001.
> If VLAN tagging is performed, it also must conforms with IEEE 802.1Q-1998,
> .1u-2001, and 802.1v-2001.
> 
> Then these protocols specifications for these functions (entities) are
> out of scope of PWE3 protocol specification, it may define "PSN tunnel"
> and "PW termination" functions.
The question then is in which WG should some of these "NSP functions"
(e.g. what to do with MAC control frames) be clarified, if these "NSP
functions" are out of scope of PWE3 WG.

> And the following is extracted from Danny's mail.
> 
> > We should also clarify other NSP functions such as handling CRC errors,
> > framing errors, runt conditions, etc.., and equally, PW functions that
> > result in PW "generalized bit errors" (e.g., out-of-order packets, packet
> > loss, etc..), as Akiva suggests.
> 
> I think the above functions are belongs to the "PW termination", if CRC
> and framing errors in the above mean errors in PSN tunnel.
Agree these functions belong to PW termination (as I understand, this is
in agreement with G.805/G.809 as well), and should be clarified in PWE3.

thanks
cheng-yin